Bug 80869 - postgresql80-* does not handle Kerberos correctly
Summary: postgresql80-* does not handle Kerberos correctly
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Palle Girgensohn
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-05-11 00:30 UTC by Garrett Wollman
Modified: 2005-11-15 00:02 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Garrett Wollman 2005-05-11 00:30:03 UTC
postgresql80-{server,client} tries to force configure to use the specified
Kerberos implementation by putting the libraries in LDFLAGS.  This is wrong;
in order for libpq to be linked properly, the libraries need to end up in
configure's LIBS variable instead.

Fix: 

Workaround: edit the makefile to add $(LDFLAGS) to the $(filter ..., $(LIBS))
in src/libpq and rebuild libpq.so.4.
How-To-Repeat: 	
Build postgresql80-client.  Notice how things that use libpq fail to link
because of unresolved dependencies.
Comment 1 Thierry Thomas freebsd_committer 2005-05-11 21:52:25 UTC
Responsible Changed
From-To: freebsd-ports-bugs->girgen


Assign to maintainer.
Comment 2 lyndon 2005-09-04 00:01:32 UTC
A (brute force) patch is available from

   ftp://orthanc.ca/lyndon/diffs/ports-databases-postgresql80/

Drop the patch-* file into postgresql80-clients/files/ and rebuild/ 
reinstall and then

     /usr/local/etc/rc.d/010.pgsql.sh stop
     /usr/local/etc/rc.d/010.pgsql.sh start

Note: I also run this patch against postgresql80-server. I'm not sure  
that it's strictly necessary to do so, but it doesn't seem to break  
anything.
Comment 3 Palle Girgensohn freebsd_committer 2005-11-14 23:59:59 UTC
State Changed
From-To: open->closed

Fixed this by not using the base heimdal. While I can get 
postgresql to linke with it, I cannot get ports using libpq.so 
to link with that installation. Depend on a Kerberos port instead. 
See CVS comment in postgresqlXX-server/Makfile for more info.